Forbhreathnú ar an eochair
| Leagan na heochrach | V4 |
|---|---|
| Sonraíocht | RFC 2440 · RFC 4880 · RFC 9580 |
| Stádas | Comhoiriúnach, ach dímholta ag RFC 9580 |
| Príomheochair (deimhniú, síniú) | EdDSALegacy (Ed25519) · ID 22 |
| Fo-eochair chriptithe | ECDH Curve25519Legacy · ID 18 |
| Méarlorg | 3B0E8B81143420937B4271BE2736B97A8A635CE3 |
| Frása faire na heochrach príobháidí | synthetic-key-password |
Algartaim agus úsáid
EdDSALegacy (Ed25519): Síniú ar chuar Edwards thar Curve25519: beag, tapa agus tacaíocht fhorleathan ann dó. Úsáid é le haghaidh sínithe agus fíordheimhnithe.
ECDH Curve25519Legacy: Comhaontú eochrach Diffie-Hellman ar chuar éilipseach thar Curve25519, an fho-eochair chriptithe nua-aimseartha is mó tacaíocht.
Eochair phoiblí
An teastas poiblí ina bhfuil an phríomheochair, an fho-eochair chriptithe agus a sínithe ceangailteacha. Iompórtáil é chun sínithe a fhíorú nó chun criptiú don aitheantas tástála seo.
Íoslódáil → 640 bearta
-----BEGIN PGP PUBLIC KEY BLOCK-----
xjMEavCjuhYJKwYBBAHaRw8BAQdAh4cOlK9wDB1pIpGW0Qp4MhJmo+UzULves4Is
LdCynznNJENILUogbWF0cml4IDIwLXY0LWVkMjU1MTkrY3VydmUyNTUxOcKMBBMW
CAA0BQJq8KO6FiEEOw6LgRQ0IJN7QnG+Jza5eopjXOMCGwMCHgEDCwkHARUBFgUn
CQIHAgIZAQAKCRAnNrl6imNc4wqUAQCBKFih60cA7ITxA5qxtScxu0pCjmvrE61q
PlkEoAxZHQD9FXwei0IzuafTIsTsFEeJ0sBiY/6SaV9Vh1d139ROOATOOARq8KO6
EgorBgEEAZdVAQUBAQdAy7K0sQ/PbO4gwvliZyKVI1JIpC+0i+TLZVhVwpeMWGkD
AQgHwngEGBYIACAFAmrwo7oWIQQ7DouBFDQgk3tCcb4nNrl6imNc4wIbDAAKCRAn
Nrl6imNc483MAPwMu8m3UYaE0r406U4FOo+CWjiqf9ufl0h/j9YYjNvrJwD+Lr7j
Ww6BUUAfJ9inxUNPryC3/u4/F4ana0hmgWaVNgQ=
=BptK
-----END PGP PUBLIC KEY BLOCK-----
Eochair phríobháideach
An eochair phríobháideach, cosanta leis an bhfrása faire a thaispeántar thuas. Foilsithe le haghaidh tástála amháin: is féidir le duine ar bith í a úsáid.
Íoslódáil → 866 bearta
Taispeáin
-----BEGIN PGP PRIVATE KEY BLOCK-----
xYYEavCjuhYJKwYBBAHaRw8BAQdAh4cOlK9wDB1pIpGW0Qp4MhJmo+UzULves4Is
LdCynzn+CQMIesIdltY70HfgRiexew6b/bzR4PxU+f3GrizlomBUOon7GitxsW8z
ieHsOANDoad6YQHBduIGNWX0/0P7RoKYEjQnoZjQ3T3RrGpFL97JZ80kQ0gtSiBt
YXRyaXggMjAtdjQtZWQyNTUxOStjdXJ2ZTI1NTE5wowEExYIADQFAmrwo7oWIQQ7
DouBFDQgk3tCcb4nNrl6imNc4wIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJECc2
uXqKY1zjCpQBAIEoWKHrRwDshPEDmrG1JzG7SkKOa+sTrWo+WQSgDFkdAP0VfB6L
QjO5p9MixOwUR4nSwGJj/pJpX1WHV3Xf1E44BMeLBGrwo7oSCisGAQQBl1UBBQEB
B0DLsrSxD89s7iDC+WJnIpUjUkikL7SL5MtlWFXCl4xYaQMBCAf+CQMIlh6iccCY
vjzg5Z8Mpwetqk4HIG6xsyhBwhQj/P9ZKUScJlWYMRYn5FcqLL8vKT+ovZJlVMMm
mLMNLZh6CB7UuYKZ9cpWfka4B2th8gcId8J4BBgWCAAgBQJq8KO6FiEEOw6LgRQ0
IJN7QnG+Jza5eopjXOMCGwwACgkQJza5eopjXOPNzAD8DLvJt1GGhNK+NOlOBTqP
glo4qn/bn5dIf4/WGIzb6ycA/i6+41sOgVFAHyfYp8VDT68gt/7uPxeGp2tIZoFm
lTYE
=iQ1N
-----END PGP PRIVATE KEY BLOCK-----
Teastas cúlghairme
Teastas cúlghairme a gineadh roimh ré. Má iompórtálann tú é, marcáiltear an eochair mar eochair chúlghairthe; foilsítear é chun gur féidir leat tástáil a dhéanamh ar láimhseáil eochracha cúlghairthe sna bogearraí.
Íoslódáil → 803 bearta
Taispeáin
-----BEGIN PGP PUBLIC KEY BLOCK-----
xjMEavCjuhYJKwYBBAHaRw8BAQdAh4cOlK9wDB1pIpGW0Qp4MhJmo+UzULves4Is
LdCynznCdQQgFggAHQUCavCjuhYhBDsOi4EUNCCTe0Jxvic2uXqKY1zjAAoJECc2
uXqKY1zjFb8A/2IT7zl0oufrZeBE6CNGGZ6dkEiOuO4PoyBskeTNS+FbAQCgHgHG
l7tyVN9g63RINWLRZ9K0DpakXAEpnuxn4Pz3DM0kQ0gtSiBtYXRyaXggMjAtdjQt
ZWQyNTUxOStjdXJ2ZTI1NTE5wowEExYIADQFAmrwo7oWIQQ7DouBFDQgk3tCcb4n
Nrl6imNc4wIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJECc2uXqKY1zjCpQBAIEo
WKHrRwDshPEDmrG1JzG7SkKOa+sTrWo+WQSgDFkdAP0VfB6LQjO5p9MixOwUR4nS
wGJj/pJpX1WHV3Xf1E44BM44BGrwo7oSCisGAQQBl1UBBQEBB0DLsrSxD89s7iDC
+WJnIpUjUkikL7SL5MtlWFXCl4xYaQMBCAfCeAQYFggAIAUCavCjuhYhBDsOi4EU
NCCTe0Jxvic2uXqKY1zjAhsMAAoJECc2uXqKY1zjzcwA/Ay7ybdRhoTSvjTpTgU6
j4JaOKp/25+XSH+P1hiM2+snAP4uvuNbDoFRQB8n2KfFQ0+vILf+7j8XhqdrSGaB
ZpU2BA==
=T7pt
-----END PGP PUBLIC KEY BLOCK-----
Síniú ar test_1MB.bin
Síniú scoite i bhformáid armúrtha ASCII ar test_1MB.bin, déanta leis an eochair seo in CH-J Tools. Sábháil é mar test_1MB.bin.asc in aice leis an gcomhad tástála.
Íoslódáil → 228 bearta
-----BEGIN PGP SIGNATURE-----
wnUEABYIAB0WIQQ7DouBFDQgk3tCcb4nNrl6imNc4wUCaveO8QAKCRAnNrl6imNc
4xo3APsFLyHsiqwlLqkg362pUlLa8hM/GKZeo6dhOoN6WoiqygEA1hA1voS6K5Fz
M9XJ6XFs+OXv1tQNuKm1BonctfvJ+AU=
=BcMS
-----END PGP SIGNATURE-----
Fíoraigh an síniú
Oibríonn eochracha leagan 4 le GnuPG agus le huirlisí SOP ar nós sqop nó rsop, a mhéid a thacaítear leis na halgartaim. Úsáid GNUPGHOME sealadach ionas nach gcuirfear an eochair thástála i d’fhíorfháinne eochracha:
gpg --import pgp-example-20-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin